<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
<meta charset="UTF-8" />
<title>Extraction des données Sonde multiparamètres</title>
</head>
<body>
	<h3>On extrait les données.</h3>
	<table
		concordion:execute="#extract=extract(#projetName, #plateformesListNames, #variableListNames, #allDepth, #profMin, #profMax, #selectedDates, #dateDedebut, #datedeFin, #annees, #rawDatas, #aggregatedDatas, #listAggregated, #filecomp, #commentaire)">
		<tr>
			<th concordion:set="#projetName">Projet</th>
			<th concordion:set="#plateformesListNames">Plateformes</th>
			<th concordion:set="#variableListNames">Variables</th>
			<th concordion:set="#allDepth">Toutes les profondeurs</th>
			<th concordion:set="#profMin">Profondeur min</th>
			<th concordion:set="#profMax">Profondeur max</th>
			<th concordion:set="#selectedDates">Type de dates</th>
			<th concordion:set="#dateDedebut">Date de début</th>
			<th concordion:set="#datedeFin">Date de fin</th>
			<th concordion:set="#annees">Années</th>
			<th concordion:set="#rawDatas">Données brutes</th>
			<th concordion:set="#aggregatedDatas">Données agrégées</th>
			<th concordion:set="#listAggregated">Liste des valeurs agrégées</th>
			<th concordion:set="#filecomp">Fichiers complémentaires</th>
			<th concordion:set="#commentaire">Commentaire</th>
			<th concordion:set="#compareFile">Fichier de comparaison</th>
			<th concordion:assertEquals="#extract">Extrait</th>
			<th concordion:assertEquals="checkExtractData(#compareFile)">Extraction valide</th>
		</tr>
		<tr>
			<td>suivi_des_lacs</td>
			<td>lac3;point_l3_b</td>
			<td>temperature, chl_a, ph_brut, cond25degres, oxygene_mg, oxygene_mg_corrige_winkler, oxygene_saturation, oxygene_saturation_corrige_winkler, turbidite</td>
			<td>true</td>
			<td></td>
			<td></td>
			<td>DatesYearsContinuousFormParam</td>
			<td>25/04/2005</td>
			<td>25/03/2006</td>
			<td></td>
			<td>true</td>
			<td>true</td>
			<td>temperature;true;false;5,1-chl_a;true;true;1,0.25-turbidite;false;true;1,0.1:2,0.2-ph_brut;true;true;8.2,0.1</td>
			<td></td>
			<td>Extraction test sonde 1</td>
			<td>src/test/resources/org/inra/ecoinfo/glacpe/fichiers/sonde/lac3__sonde1.csv,src/test/resources/org/inra/ecoinfo/glacpe/fichiers/sonde/lac3_aggregated_sonde2.csv,src/test/resources/org/inra/ecoinfo/glacpe/fichiers/sonde/recapitulatif_extraction__sonde3.txt</td>
			<td>true</td>
			<td>true</td>
		</tr>
	</table>
</body>
</html>